[ic] DBD:Pg error

docelic docelic at deleuze.hcoop.net
Fri Sep 7 12:13:54 EDT 2007

On Fri, Sep 07, 2007 at 05:55:59PM +0200, Stefan Hornburg wrote:
> hudsondarnell40 at comcast.net wrote:
> >Hello
> >I am getting this error for interchange when I try to start interchange.
> >Perl module DBD::Pg not present. But DBD-Pg is installed
> >I have install interchange before an didn't have this problem.
> >so did I do wrong. It is running on Redhat 4 postgresql
> Where is DBD::Pg installed ? Please ensure that it is in one of the 
> locations which is
> searched by the Perl binary running Interchange.

Try running perl -MDBD::Pg -e'print "Yes\n"'

If that works, then most probably your Interchange installation is using
a different Perl installation on your system, under which you did not 
install DBD::Pg.

See which Perl binary it is using by doing:
  head -n1 `which interchange`
  head -n 1 /path/to/ic/bin/interchange

If it's a different Perl (let's call it "local") than what you see when you
run 'which perl', then install DBD::Pg under it, with something like

  /path/to/local/perl -MCPAN -e 'install "DBD::Pg"'

And then try again.


More information about the interchange-users mailing list